Subject: bug#42998: 27.1; gnutls-symmetric-encrypt slow when providing cipher as symbol

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Aug 2020 16:22:33 +0200

Eli Zaretskii <[email-masked]> writes:

> Such initializations shall be done in the syms_of_* functions, in this
> case syms_of_gnutls -- those run at build time, and are recorded in
> the dumped memory.  yes, that means the static variable will not be
> private to the function, but I don't think it's a problem.

OK, I'll do that instead.

> I think it'd also allow you to staticpro the variable only once.

Don't we need to staticpro the variable only once in any case, or am I
misunderstanding how staticpro works?  I assumed that it took the
address of the variable, and then it'll protect whatever that variable
points to, no matter whether we change the value or not?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no